/*
* Fonts
*/

$font-family: 'Golos Text';


/*
* Colors const
*/

$color-gray-dark: #343a40;
$color-blue: #03a9f3;
$color-indigo: #6610f2;
$color-pink: #e83e8c;
$color-yellow: #fec107;
$color-success: #00c292;
$color-cyan: #01c0c8;
$color-purple: #ab8ce4;
$color-gray: #9c9c9c;

$colors-const:();

@function colors-const-generate($theme) {

  $primary: map-get($theme, primary);
  $accent: map-get($theme, accent);
  $warn: map-get($theme, warn);
  $background: map-get($theme, background);
  $foreground: map-get($theme, foreground);

  $color-warn: map-get($warn, 400);
  $color-primary: map-get($primary, 500);
  $color-accent: map-get($accent, 500);

  $colors-const:(
          'gray-dark': $color-gray-dark,
          'blue': $color-blue,
          'indigo': $color-indigo,
          'pink': $color-pink,
          'yellow': $color-yellow,
          'success': $color-success,
          'cyan': $color-cyan,
          'purple': $color-purple,
          'gray': $color-gray,
          'warn': $color-warn,
          'primary': $color-primary,
          'accent': $color-accent
  );

  @return $colors-const;
}




